Gallery Platform API
Reference

List artwork lists

Lists the gallery's artwork lists (viewing rooms, fair/price lists, exhibitions), newest first, with cursor pagination.

GET
/gallery/lists

Lists the gallery's artwork lists (viewing rooms, fair/price lists, exhibitions), newest first, with cursor pagination.

Authorization

bearerAuth artworks:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string
kind?string

Value in

  • "viewing_room"
  • "fair"
  • "price_list"
  • "exhibition"
  • "selection"
q?string
Length1 <= length <= 200
tag_id?array<string>
Items1 <= items <= 10

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "slug": "string",      "title": "string",      "description": "string",      "kind": "viewing_room",      "visibility": "public",      "is_dynamic": true,      "dynamic_query": {        "property1": null,        "property2": null      },      "show_prices": true,      "show_status": true,      "show_location": true,      "allow_purchase": true,      "cover_image_path": "string",      "cover_url": "string",      "theme_overrides": {        "accent_color": "string",        "background_color": "string",        "text_color": "string",        "font_family": "sans",        "layout": "grid"      },      "brand_logo_storage_path": "string",      "brand_logo_url": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}